OfficeGest
Stocks/Articles/Kits

List kit master articles

Returns a paginated list of articles that are kits. A kit master is any article that exists as a parent in the article kit table (TABLE_ART_KIT). Supports the same filtering capabilities as the main articles listing.

GET
/stocks/articles/kits
AuthorizationBearer <token>

In: header

Query Parameters

id?stringDeprecated

Filter by article ID (code)

description?stringDeprecated

Filter by article description/name (supports operators: sw, ew, ct, eq)

article_type?string

Filter by article type

Value in"N" | "S" | "O"
cost_price?numberDeprecated
selling_price?numberDeprecated

Filter by selling price (supports operators: gte, lte, eq)

vat_id?string

Filter by VAT rate ID

measurement_unit_id?string

Filter by measurement unit code

stock_quantity?numberDeprecated

Filter by current stock quantity (supports operators: gte, lte, eq)

family_id?string

Filter by family ID

sub_family_id?string

Filter by sub-family ID

sub_sub_family_id?string

Filter by sub-sub-family ID

barcode?stringDeprecated

Filter by barcode (supports operators: sw, ew, ct, eq)

brand_id?string

Filter by brand ID

spaces_dimensions?string

Filter by spaces/dimensions type

id_spaces_dimensions?string

Filter by spaces/dimensions ID

vat_exemption_reason_id?string
is_set?boolean
part_number?stringDeprecated

Filter by manufacturer part number (supports operators: sw, ew, ct, eq)

active?boolean

Filter by active status

active_for_web?boolean

Filter by web visibility status

manually_updated_at?stringDeprecated

Filter by last manual update date (supports operators: gte, lte, eq)

Formatdate
updated_at?stringDeprecated

Filter by update timestamp (supports operators: gte, lte, eq)

Formatdate-time
created_at?stringDeprecated

Filter by creation timestamp (supports operators: gte, lte, eq)

Formatdate-time
is_tire?boolean
tire_load_index?string
tire_speed_index?string
Value in"A1" | "A2" | "A3" | "A4" | "A5" | "A6" | "A7" | "A8" | "B" | "C" | "D" | "E" | "F" | "G" | "J" | "K" | "L" | "M" | "N" | "P" | "Q" | "R" | "S" | "T" | "H" | "V" | "W" | "Y" | "ZR"
tire_energy_efficiency?string
Value in"A" | "B" | "C" | "D" | "E"
tire_safety?string
Value in"A" | "B" | "C" | "D" | "E"
tire_external_noise?string
Value in"A" | "B" | "C"
tire_decibels?numberDeprecated
tire_measure?string
tire_width?numberDeprecated
tire_height?numberDeprecated
tire_diameter?numberDeprecated
tire_type_id?integer

Valid value from artigos_pneu_tipo.id.

tire_season_id?integer

Valid value from artigos_pneu_temporada.id.

tire_snow_certification?boolean
tire_ice_certification?boolean
web_id?stringDeprecated
web_price?numberDeprecated
web_reference?stringDeprecated
long_description?stringDeprecated
short_description?stringDeprecated
additional_fields_all?boolean

Include all available additional fields in response

additional_fields?array<unknown>

Array of additional fields to include in response (e.g., idforweb, priceforweb, weight, dimensions)

filter[id][operator]?string

Operators: sw, ew, ct, eq. Example: filter[id][sw]=value

filter[description][operator]?string

Operators: sw, ew, ct, eq. Example: filter[description][sw]=value

filter[cost_price][operator]?number

Operators: gte, lte, eq. Example: filter[cost_price][gte]=value

filter[selling_price][operator]?number

Operators: gte, lte, eq. Example: filter[selling_price][gte]=value

filter[stock_quantity][operator]?number

Operators: gte, lte, eq. Example: filter[stock_quantity][gte]=value

filter[barcode][operator]?string

Operators: sw, ew, ct, eq. Example: filter[barcode][sw]=value

filter[part_number][operator]?string

Operators: sw, ew, ct, eq. Example: filter[part_number][sw]=value

filter[manually_updated_at][operator]?string

Operators: gte, lte, eq. Example: filter[manually_updated_at][gte]=value

Formatdate
filter[updated_at][operator]?string

Operators: gte, lte, eq. Example: filter[updated_at][gte]=value

Formatdate-time
filter[created_at][operator]?string

Operators: gte, lte, eq. Example: filter[created_at][gte]=value

Formatdate-time
filter[tire_decibels][operator]?number

Operators: gte, lte, eq. Example: filter[tire_decibels][gte]=value

filter[tire_width][operator]?number

Operators: gte, lte, eq. Example: filter[tire_width][gte]=value

filter[tire_height][operator]?number

Operators: gte, lte, eq. Example: filter[tire_height][gte]=value

filter[tire_diameter][operator]?number

Operators: gte, lte, eq. Example: filter[tire_diameter][gte]=value

filter[web_id][operator]?string

Operators: sw, ew, ct, eq. Example: filter[web_id][sw]=value

filter[web_price][operator]?number

Operators: gte, lte, eq. Example: filter[web_price][gte]=value

filter[web_reference][operator]?string

Operators: sw, ew, ct, eq. Example: filter[web_reference][sw]=value

filter[long_description][operator]?string

Operators: sw, ew, ct, eq. Example: filter[long_description][sw]=value

filter[short_description][operator]?string

Operators: sw, ew, ct, eq. Example: filter[short_description][sw]=value

purchasing_price?number

Filter by purchase price (supports operators: gte, lte, eq)

re?string

Filter by exemption reason code (IVA)

set?string

Filter by set/conjunto code

filter?object

Advanced filter as JSON object with field => operator => value

Empty Object

order?string

Sort field (e.g., id, description, created_at)

sorder?string

Sort order (ASC or DESC)

sort?string

Alternative sort field

limit?integer

Items per page. Default 50, maximum 250; a larger value is truncated to 250.

Default50
Range1 <= value <= 250
page?integer

Page number. Default 1; a value below 1 counts as 1.

Default1
Range1 <= value

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/articles/kits?id=string&description=string&article_type=N&cost_price=0&selling_price=0&vat_id=string&measurement_unit_id=string&stock_quantity=0&family_id=string&sub_family_id=string&sub_sub_family_id=string&barcode=string&brand_id=string&spaces_dimensions=string&id_spaces_dimensions=string&vat_exemption_reason_id=string&is_set=true&part_number=string&active=true&active_for_web=true&manually_updated_at=2019-08-24&updated_at=2019-08-24T14%3A15%3A22Z&created_at=2019-08-24T14%3A15%3A22Z&is_tire=true&tire_load_index=string&tire_speed_index=A1&tire_energy_efficiency=A&tire_safety=A&tire_external_noise=A&tire_decibels=0&tire_measure=string&tire_width=0&tire_height=0&tire_diameter=0&tire_type_id=0&tire_season_id=0&tire_snow_certification=true&tire_ice_certification=true&web_id=string&web_price=0&web_reference=string&long_description=string&short_description=string&additional_fields_all=true&additional_fields=&filter%5Bid%5D%5Boperator%5D=string&filter%5Bdescription%5D%5Boperator%5D=string&filter%5Bcost_price%5D%5Boperator%5D=0&filter%5Bselling_price%5D%5Boperator%5D=0&filter%5Bstock_quantity%5D%5Boperator%5D=0&filter%5Bbarcode%5D%5Boperator%5D=string&filter%5Bpart_number%5D%5Boperator%5D=string&filter%5Bmanually_updated_at%5D%5Boperator%5D=2019-08-24&filter%5Bupdated_at%5D%5Boperator%5D=2019-08-24T14%3A15%3A22Z&filter%5Bcreated_at%5D%5Boperator%5D=2019-08-24T14%3A15%3A22Z&filter%5Btire_decibels%5D%5Boperator%5D=0&filter%5Btire_width%5D%5Boperator%5D=0&filter%5Btire_height%5D%5Boperator%5D=0&filter%5Btire_diameter%5D%5Boperator%5D=0&filter%5Bweb_id%5D%5Boperator%5D=string&filter%5Bweb_price%5D%5Boperator%5D=0&filter%5Bweb_reference%5D%5Boperator%5D=string&filter%5Blong_description%5D%5Boperator%5D=string&filter%5Bshort_description%5D%5Boperator%5D=string&purchasing_price=0&re=string&set=string&order=string&sorder=string&sort=string&limit=50&page=1"
{
  "data": [
    {
      "id": "string",
      "description": "string",
      "article_type": "string",
      "purchasing_price": 0,
      "selling_price": 0,
      "vat_id": "string",
      "measurement_unit_id": "string",
      "stock_quantity": 0,
      "family_id": "string",
      "sub_family_id": "string",
      "sub_sub_family_id": "string",
      "barcode": "string",
      "brand_id": "string",
      "brand": {
        "id": "string",
        "name": "string"
      },
      "active": true,
      "active_for_web": true,
      "re": "string",
      "set": "string",
      "part_number": "string",
      "purchasing_price_last": 0,
      "purchasing_price_avg": 0,
      "margin": 0,
      "selling_price_option": "string",
      "margin_pcu": 0,
      "margin_pcu_type": "string",
      "discount_classif": "string",
      "commission_rate": 0,
      "barcode_prefix": "string",
      "sale_multiples": 0,
      "use_lots": true,
      "use_serial_numbers": true,
      "manufactured": true,
      "withholding_tax": true,
      "customs_duty_rate": 0,
      "location": "string",
      "discount": 0,
      "energy_class": "string",
      "abbreviation": "string",
      "saft_product_type": "string",
      "saft_product_category": "string",
      "ordered_qty_client": 0,
      "ordered_qty_supplier": 0,
      "stock_min": 0,
      "stock_max": 0,
      "qty_vehicle": 0,
      "qty_pallet": 0,
      "qty_box": 0,
      "codx": "string",
      "cody": "string",
      "codz": "string",
      "image_link": "string",
      "spaces_dimensions": "string",
      "id_spaces_dimensions": "string",
      "dimensions": "string",
      "is_component": true,
      "component_brand": "string",
      "component_model": "string",
      "component_version": "string",
      "manually_updated_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "per_page": 50,
    "current_page": 1,
    "has_more": true,
    "total": 120,
    "last_page": 3,
    "from": 1,
    "to": 50
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}